body.swiping {
  overflow: hidden; }

.slider {
  box-sizing: border-box;
  position: relative;
  width: 100%; }
  .slider *:after,
  .slider *:before,
  .slider * {
    box-sizing: border-box; }
  .slider .slides {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    transition-property: transform;
    transition-timing-function: ease; }
    .slider .slides > div {
      width: 100%;
      position: absolute;
      top: 0;
      right: 0;
      transform: translateX(100%);
      transition-property: transform;
      transition-timing-function: ease;
      transition-duration: inherit;
      will-change: transform;
      z-index: 1;
      opacity: 0; }
      .slider .slides > div:first-child {
        position: static; }
    .slider .slides.stylesSet > div:first-child {
      position: absolute; }
    .slider .slides .prev {
      transform: translateX(-100%) !important;
      z-index: 2; }
    .slider .slides .next {
      transform: translateX(100%) !important;
      z-index: 2; }
    .slider .slides .active {
      transform: translateX(0) !important;
      z-index: 3; }
  .slider .slide-arrow {
    border-radius: 50%;
    display: inline-block;
    width: 30px;
    height: 30px;
    padding: 2px;
    background: rgba(0, 0, 0, 0.5);
    position: absolute;
    top: calc(50% - 20px);
    z-index: 3;
    cursor: pointer;
    cursor: pointer; }
    .slider .slide-arrow::after {
      display: inline-block;
      content: '';
      width: 40%;
      height: 40%;
      border-bottom: 3px solid #fff;
      border-right: 3px solid #fff;
      position: absolute;
      top: 50%;
      right: 50%; }
  .slider.active-arrows {
    padding-left: 30px;
    padding-right: 30px; }
  .slider .slide-arrow-right {
    right: 0; }
    .slider .slide-arrow-right::after {
      transform: translate(40%, -50%) rotate(-45deg); }
  .slider .slide-arrow-left {
    left: 0; }
    .slider .slide-arrow-left::after {
      transform: translate(60%, -50%) rotate(135deg); }
  .slider.active-indicators {
    margin-bottom: 25px; }
  .slider .slide-indicators {
    border: 1px solid transparent;
    display: inline-block;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 101%;
    right: 50%;
    transform: translateX(50%);
    list-style: none; }
    .slider .slide-indicators li {
      border-radius: 50%;
      background: rgba(0, 0, 0, 0.5);
      display: inline-block;
      width: 15px;
      height: 15px;
      margin: 0 6px;
      cursor: pointer; }
      .slider .slide-indicators li.active {
        background: rgba(255, 255, 255, 0.7);
        border: 1px solid rgba(0, 0, 0, 0.5); }

